ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009801ClearOSapp-print-server - CUPS Print Serverpublic2016-07-31 15:072016-11-30 10:27
Reporterbchambers 
Assigned Tobchambers 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.2.0 
Target Version7.3.0 Beta 1Fixed in Version7.3.0 Beta 1 
Summary0009801: Cups admin not available on LAN interfaces after reboot
DescriptionAfter reboot, cups admin interface on 631 only listening on localhost:

[root@localhost ~]# netstat -lnp --tcp | grep 631
tcp 0 0 127.0.0.1:631 0.0.0.0:* LISTEN 891/cupsd

[root@localhost ~]# service cups restart
Redirecting to /bin/systemctl restart cups.service
[root@localhost ~]# netstat -lnp --tcp | grep 631
tcp 0 0 127.0.0.1:631 0.0.0.0:* LISTEN 5555/cupsd
tcp 0 0 192.168.71.119:631 0.0.0.0:* LISTEN 5555/cupsd
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003661)
bchambers (administrator)
2016-07-31 18:27

Rather than messing around with upstream cups package, probably better to add an network event so that cups will pick up on changed networks and restart to pick up those changes.

Eg:

/var/clearos/events/network_connected/cups

#!/bin/sh

/usr/bin/systemctl condrestart cups.service
(0003671)
pbaldwin (administrator)
2016-08-06 20:58

The package already has a "network configuration change" event. Will investigate further.
(0003951)
pbaldwin (administrator)
2016-09-15 09:54

Re-implement with the new "onboot" event - 0010581

- Issue History
Date Modified Username Field Change
2016-07-31 15:07 bchambers New Issue
2016-07-31 18:25 bchambers Category cups => app-print-server - CUPS Print Server
2016-07-31 18:25 bchambers Description Updated View Revisions
2016-07-31 18:27 bchambers Note Added: 0003661
2016-07-31 18:47 bchambers Assigned To => bchambers
2016-07-31 18:47 bchambers Status new => assigned
2016-07-31 18:47 bchambers Status assigned => acknowledged
2016-07-31 18:47 bchambers Status acknowledged => confirmed
2016-07-31 18:47 bchambers Status confirmed => resolved
2016-07-31 18:47 bchambers Fixed in Version => 7.2.0 Updates
2016-07-31 18:47 bchambers Resolution open => fixed
2016-07-31 18:47 bchambers Status resolved => acknowledged
2016-07-31 18:47 bchambers Status acknowledged => confirmed
2016-07-31 18:48 bchambers Status confirmed => resolved
2016-08-06 20:58 pbaldwin Note Added: 0003671
2016-09-15 09:54 pbaldwin Note Added: 0003951
2016-09-15 09:54 pbaldwin Resolution fixed => open
2016-09-15 09:54 pbaldwin Fixed in Version 7.2.0 Updates =>
2016-09-15 09:54 pbaldwin Target Version => 7.3.1 Updates
2016-09-20 15:01 pbaldwin Fixed in Version => 7.3.0 Beta 1
2016-09-20 15:01 pbaldwin Target Version 7.3.1 Updates => 7.3.0 Beta 1
2016-11-16 09:12 pbaldwin Target Version 7.3.0 Beta 1 => 7.3.0 Beta 1
2016-11-16 09:12 pbaldwin Fixed in Version 7.3.0 Beta 1 => 7.3.0 Beta 1
2016-11-30 10:27 pbaldwin Status resolved => closed
2016-11-30 10:27 pbaldwin Resolution open => fixed